com.sun.jna.platform.win32

## Class DBT.DEV_BROADCAST_PORT

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.DBT.DEV_BROADCAST_PORT

Enclosing interface:
  DBT

    @Structure.FieldOrder(value={"dbcp_size","dbcp_devicetype","dbcp_reserved","dbcp_name"})
    public static class DBT.DEV_BROADCAST_PORT
    extends Structure

The Class DEV_BROADCAST_PORT.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `dbcp_devicetype` The dbcp_devicetype.
`byte[]` `dbcp_name` The dbcp_name.
`int` `dbcp_reserved` The dbcp_reserved.
`int` `dbcp_size` The dbcp_size.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`DEV_BROADCAST_PORT()` Instantiates a new dev broadcast port.
`DEV_BROADCAST_PORT(Pointer memory)` Instantiates a new dev broadcast port.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getDbcpName()` Gets the dbcc_name.
`void` `read()` Reads the fields of the struct from native memory

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dbcp_size

    public int dbcp_size

The dbcp_size.

#### dbcp_devicetype

    public int dbcp_devicetype

The dbcp_devicetype.

#### dbcp_reserved

    public int dbcp_reserved

The dbcp_reserved.

#### dbcp_name

    public byte[] dbcp_name

The dbcp_name.

### Constructor Detail

#### DEV_BROADCAST_PORT

    public DEV_BROADCAST_PORT()

Instantiates a new dev broadcast port.

#### DEV_BROADCAST_PORT

    public DEV_BROADCAST_PORT(Pointer memory)

Instantiates a new dev broadcast port.

Parameters:
  `memory` - the memory

### Method Detail

#### read

    public void read()

Description copied from class: `Structure`
Reads the fields of the struct from native memory

Overrides:
  `read` in class `Structure`

#### getDbcpName

    public java.lang.String getDbcpName()

Gets the dbcc_name.

Returns:
  the dbcp_name

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.